Name:          libmatio
Version:       1.5.28
Release:       1mamba
Summary:       An ISO C library (with a limited Fortran 90 interface) for reading and writing Matlab MAT files
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/matio/
Source:        http://downloads.sourceforge.net/project/matio/matio/%{version}/matio-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libhdf5-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
An ISO C library (with a limited Fortran 90 interface) for reading and writing Matlab MAT files.

%package devel
Summary:       Devel package for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
An ISO C library (with a limited Fortran 90 interface) for reading and writing Matlab MAT files.
This package contains static libraries and header files needed for development.

%debug_package

%prep
%setup -q -n matio-%{version}

%build
%configure --enable-shared
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

rm -f %{buildroot}%{_infodir}/dir

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libmatio.so.*
%doc COPYING

%files devel
%defattr(-,root,root)
%{_bindir}/matdump
%{_includedir}/*.h
%{_libdir}/libmatio.a
%{_libdir}/libmatio.so
%{_mandir}/man3/Mat_*.3*
%{_libdir}/pkgconfig/*.pc
%doc NEWS

%changelog
* Tue Nov 05 2024 Automatic Build System <autodist@openmamba.org> 1.5.28-1mamba
- automatic version update by autodist

* Sun Apr 21 2024 Automatic Build System <autodist@openmamba.org> 1.5.27-1mamba
- automatic version update by autodist

* Mon Nov 13 2023 Automatic Build System <autodist@mambasoft.it> 1.5.26-1mamba
- automatic version update by autodist

* Sat Nov 11 2023 Automatic Build System <autodist@mambasoft.it> 1.5.25-1mamba
- automatic version update by autodist

* Thu Nov 02 2023 Automatic Build System <autodist@mambasoft.it> 1.5.24-1mamba
- automatic version update by autodist

* Thu Apr 14 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.5.23-1mamba
- update to 1.5.23

* Sat Mar 27 2021 Automatic Build System <autodist@mambasoft.it> 1.5.21-1mamba
- automatic version update by autodist

* Mon Mar 22 2021 Automatic Build System <autodist@mambasoft.it> 1.5.20-1mamba
- automatic version update by autodist

* Thu Feb 11 2021 Automatic Build System <autodist@mambasoft.it> 1.5.19-1mamba
- automatic version update by autodist

* Sat May 23 2020 Automatic Build System <autodist@mambasoft.it> 1.5.17-1mamba
- automatic version update by autodist

* Sun Apr 26 2020 Automatic Build System <autodist@mambasoft.it> 1.5.16-1mamba
- automatic version update by autodist

* Sun Mar 24 2019 Automatic Build System <autodist@mambasoft.it> 1.5.14-1mamba
- automatic version update by autodist

* Sun Jan 13 2019 Automatic Build System <autodist@mambasoft.it> 1.5.13-1mamba
- automatic version update by autodist

* Tue Mar 20 2018 Automatic Build System <autodist@mambasoft.it> 1.5.12-1mamba
- automatic version update by autodist

* Thu Dec 21 2017 Automatic Build System <autodist@mambasoft.it> 1.5.11-1mamba
- automatic version update by autodist

* Mon Mar 20 2017 Automatic Build System <autodist@mambasoft.it> 1.5.10-1mamba
- automatic version update by autodist

* Tue Nov 01 2016 Automatic Build System <autodist@mambasoft.it> 1.5.9-1mamba
- automatic version update by autodist

* Fri Aug 05 2016 Automatic Build System <autodist@mambasoft.it> 1.5.8-1mamba
- automatic version update by autodist

* Sat Feb 27 2016 Automatic Build System <autodist@mambasoft.it> 1.5.6-1mamba
- automatic version update by autodist

* Sat Aug 03 2013 Automatic Build System <autodist@mambasoft.it> 1.5.2-1mamba
- automatic update by autodist

* Mon Mar 11 2013 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- automatic version update by autodist

* Sun Dec 02 2012 Automatic Build System <autodist@mambasoft.it> 1.5.0-1mamba
- automatic version update by autodist

* Thu Nov 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.3-1mamba
- package created by autospec
